import { StyleSheet } from 'react-native'
import appColors from '../../../../theme/appColors'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../../theme/appConstant'
import appFonts from '../../../../theme/appFonts'

const styles = StyleSheet.create({
  main: {
    flex: 1,
  },
  main2: {
    fontSize: fontSizes.FONT5,
    fontFamily: appFonts.bold,
    marginTop: windowHeight(2),
    textAlign: 'center',
  },
  subView: {
    height: '100%',
  },
  text: {
    height: windowHeight(15),
    color: appColors.secondaryFont,
    paddingHorizontal: windowWidth(3),
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT4,
    width: '100%',
  },
  warning1: {
    color: appColors.red,
    marginBottom: windowHeight(0.5),
    marginTop: windowHeight(1),
    fontSize: fontSizes.FONT3,
  },
  subContainer: {
    marginHorizontal: windowWidth(4),
    marginTop: windowHeight(0.8),
  },
  ruleTitle: {
    fontSize: fontSizes.FONT4HALF,
    fontFamily: appFonts.medium,
    marginTop: windowHeight(2),
  },
  spaceTop: {
    marginBottom: windowHeight(5),
    top: windowHeight(3),
  },
  dateInput: {
    alignItems: 'center',
    borderWidth: windowHeight(0.1),
    borderRadius: windowHeight(0.8),
    paddingHorizontal: 10,
    marginBottom: windowHeight(1.2),
    height: windowHeight(6.2),
  },
  title: {
    fontFamily: appFonts.medium,
    color: appColors.primaryFont,
    marginVertical: windowHeight(1.5),
  },
  warning: {
    color: appColors.red,
    marginBottom: windowHeight(1.5),
  },
  dateInputFild: {
    flex: 1,
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT4,
  },
  selectTitle: {
    fontFamily: appFonts.medium,
    marginTop: windowHeight(1.2),
    marginBottom: windowHeight(0.5),
  },
  selectTitle1: {
    fontFamily: appFonts.medium,
    marginBottom: windowHeight(0.8),
  },
  vehicleTitle: {
    fontFamily: appFonts.medium,
    marginVertical: windowHeight(1),
    marginHorizontal: windowWidth(4),
  },
  rentalBg: {
    backgroundColor: appColors.subPrimary,
    padding: windowHeight(2),
    borderRadius: windowHeight(1),
  },
  rentalDesc: {
    textAlign: 'center',
    fontFamily: appFonts.regular,
    color: appColors.primary,
  },
  vehicle: {
    bottom: windowHeight(0.9),
  },
  vehicleName: {
    bottom: windowHeight(2.6),
  },
  vehicleNo: {
    bottom: windowHeight(3.5),
  },
  vehicleColor: {
    bottom: windowHeight(4.3),
  },
  maximumSeats: {
    bottom: windowHeight(5),
  },
  boldText: {
    fontFamily: appFonts.bold,
  },
  main1: {
    fontSize: fontSizes.FONT5,
    fontFamily: appFonts.bold,
    marginTop: windowHeight(1),
    textAlign: 'center',
  },
  sub: {
    color: appColors.secondaryFont,
    marginTop: windowHeight(0.5),
    fontSize: fontSizes.FONT3HALF1,
    fontFamily: appFonts.medium,
    marginBottom: windowHeight(2),
    textAlign: 'center',
  },
  line: {
    height: windowHeight(0.5),
    width: '120%',
    alignSelf: 'center',
    marginBottom: windowHeight(2),
  },
  gap: {
    gap: windowHeight(13.5),
  },
  card: {
    marginVertical: windowHeight(2),
    paddingBottom: windowHeight(1.5),
    borderRadius: windowWidth(5),
    borderWidth: windowWidth(0.45),
  },
})
export default styles
